Upgrading database to 10.8.0 or later causes problems in case-sensitive databases

Found in

EPiServer.CMS.Core 10.8.0

Fixed in

EPiServer.CMS.Core 11.2.0

Created

Nov 09, 2017

Updated

Nov 27, 2017

Area

CMS Core

State

Closed, Fixed and tested


Description

Steps to reproduce

  1. Install a version before 10.8.0.
  2. Upgrade to 10.8.0 or later using Update-EPiDatabase.

Expected: Successful upgrade.
Actual: Get a SQL error:

Msg 4104, Level 16, State 1, Procedure netActivityLogEntrySave, Line 44
The multi-part identifier "Target.From" could not be bound.